## ros-jazzy-launch 3.4.2

=== debian/changelog ===
ros-jazzy-launch (3.4.2-3bookworm) bookworm; urgency=high

  * (launch) fix describe of PathJoinSubstitution (#771 <https://github.com/ros2/launch/issues/771>)
  * Contributors: Matthijs van der Burgh

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 15 Apr 2024 16:00:00 -0000

ros-jazzy-launch (3.4.1-3bookworm) bookworm; urgency=high

  * Small fixes for modern flake8. (#772 <https://github.com/ros2/launch/issues/772>)
  * Cleanup some type annotations.
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-launch (3.4.0-3bookworm) bookworm; urgency=high

  * Rework task exceptions loop. (#755 <https://github.com/ros2/launch/issues/755>)
  * add format overriding by environment variables (#722 <https://github.com/ros2/launch/issues/722>)
  * Add exception type to error output (#753 <https://github.com/ros2/launch/issues/753>)
  * Contributors: Chris Lalancette, David Yackzan, Marc Bestmann

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Feb 2024 16:00:00 -0000

ros-jazzy-launch (3.3.0-3bookworm) bookworm; urgency=high

  * Let XML executables/nodes be "required" (like in ROS 1) (#751 <https://github.com/ros2/launch/issues/751>)
  * Contributors: Matthew Elwin

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-jazzy-launch (3.2.1-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-launch (3.2.0-3bookworm) bookworm; urgency=high

  * Add conditional substitution (#734 <https://github.com/ros2/launch/issues/734>)
  * Contributors: Nick Lamprianidis

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 03 Oct 2023 16:00:00 -0000

ros-jazzy-launch (3.1.0-3bookworm) bookworm; urgency=high

  * Add maximum times for a process to respawn (#696 <https://github.com/ros2/launch/issues/696>)
  * Contributors: Santti4go

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 16:00:00 -0000

ros-jazzy-launch (3.0.1-3bookworm) bookworm; urgency=high

  * Add in a timeout for launch pytests. (#725 <https://github.com/ros2/launch/issues/725>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 Sep 2023 16:00:00 -0000

ros-jazzy-launch (3.0.0-3bookworm) bookworm; urgency=high

  * Fix remaining occurrences of "There is no current event loop" (#723 <https://github.com/ros2/launch/issues/723>)
  * Update the launch code for newer flake8 and mypy. (#719 <https://github.com/ros2/launch/issues/719>)
  * Remove the deprecated some_actions_type.py (#718 <https://github.com/ros2/launch/issues/718>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@openrobotics.org>  Sun, 20 Aug 2023 16:00:00 -0000

ros-jazzy-launch (2.2.1-3bookworm) bookworm; urgency=high

  * Improve launch file parsing error messages (#626 <https://github.com/ros2/launch/issues/626>)
  * Contributors: Timon Engelke

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Jul 2023 16:00:00 -0000

ros-jazzy-launch (2.2.0-3bookworm) bookworm; urgency=high

  * Add file-content launch substitution (#708 <https://github.com/ros2/launch/issues/708>)
  * Contributors: Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Jun 2023 16:00:00 -0000

ros-jazzy-launch (2.1.0-3bookworm) bookworm; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 26 Apr 2023 16:00:00 -0000

ros-jazzy-launch (2.0.1-3bookworm) bookworm; urgency=high

  * Document LaunchService.{run,run_async}() return value (#702 <https://github.com/ros2/launch/issues/702>)
  * Contributors: Christophe Bedard

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 16:00:00 -0000

ros-jazzy-launch (2.0.0-3bookworm) bookworm; urgency=high

  * [rosdoc2] Fix document generation on buildfarm (#701 <https://github.com/ros2/launch/issues/701>)
  * Enable document generation using rosdoc2 for ament_python pkgs (#697 <https://github.com/ros2/launch/issues/697>)
  * Remove the import of Literal from entity.py. (#694 <https://github.com/ros2/launch/issues/694>)
  * Fix flake8 errors. (#695 <https://github.com/ros2/launch/issues/695>)
  * add symlink to latest log directory (#686 <https://github.com/ros2/launch/issues/686>)
  * Improve type checking (#679 <https://github.com/ros2/launch/issues/679>)
  * Contributors: Chris Lalancette, Hervé Audren, Welte, Yadu

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-launch (1.4.1-3bookworm) bookworm; urgency=high

  * Fixed typos (#692 <https://github.com/ros2/launch/issues/692>)
  * Contributors: Alejandro Hernández Cordero

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 23 Feb 2023 16:00:00 -0000

ros-jazzy-launch (1.4.0-3bookworm) bookworm; urgency=high

  * Pass modules to PythonExpression (#655 <https://github.com/ros2/launch/issues/655>)
  * Allow ReadyToTest() usage in event handler (#665 <https://github.com/ros2/launch/issues/665>)
  * Expose emulate_tty to xml and yaml launch (#669 <https://github.com/ros2/launch/issues/669>)
  * Expose sigterm_timeout and sigkill_timeout to xml frontend (#667 <https://github.com/ros2/launch/issues/667>)
  * [rolling] Update maintainers - 2022-11-07 (#671 <https://github.com/ros2/launch/issues/671>)
  * Contributors: Aditya Pande, Audrow Nash, Blake Anderson, Nikolai Morin

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-launch (1.3.0-3bookworm) bookworm; urgency=high

  * Expect deprecation warnings in tests (#657 <https://github.com/ros2/launch/issues/657>)
  * Fix the restoring of os.environ to maintain type. (#656 <https://github.com/ros2/launch/issues/656>)
  * Implement Any, All, Equals, and NotEquals substitutions (#649 <https://github.com/ros2/launch/issues/649>)

