=== debian/control ===
Source: ros-jazzy-launch
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-jazzy-ament-copyright <!nocheck>, ros-jazzy-ament-flake8 <!nocheck>, ros-jazzy-ament-mypy <!nocheck>, ros-jazzy-ament-pep257 <!nocheck>, ros-jazzy-osrf-pycommon, ros-jazzy-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-launch
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-importlib-metadata, python3-lark, python3-yaml, ros-jazzy-ament-index-python, ros-jazzy-osrf-pycommon, ros-jazzy-ros-workspace
Description: The ROS launch tool.
